Dashboard: non-syncable repo types should not appear in Sync Overview widget
07/18/2014 10:18 AM - Partha Aji

Status: Closed
Priority: Normal
Assignee: David Davis
Category: Web Ul
Target version: Katello 2.0
Difficulty: trivial Fixed in Releases:
Triaged: Yes Found in Releases:
Bugzilla link: 1021065 Red Hat JIRA:
Pull request: https://github.com/Katello/katello/pull/445
Description

Cloned from https://bugzilla.redhat.com/show_bug.cqgi?id=1021065

Description of problem:

Just as we have removed/are removing non-sync repos off the Sync page, they should be removed from the dashboard widget as
well.

Version-Release number of selected component (if applicable):
Satellite-6.0.2-RHEL-6-20131017.1

How reproducible:

Steps to Reproduce:

1. Along with your standard RHEL/third-party content, create a puppet repo and a node-certs repo, neither of which are syncable.
2. Begin syncing the RHEL/third-party stuff

3. Nav back to dashboard and look at Sync Overview widget.

Actual results:

Red Hat Enterprise Linux Server Success Fri, 18 Oct 2013 21:08:08 +0000

node-certs not_synced

Puppet Labs Forge not_synced

Expected results:

The non-sync repos should not appear in this widget.

Additional info:

Associated revisions

Revision f1bfff08 - 07/21/2014 10:49 AM - David Davis
Fixes #6691,BZ1021065 - Not showing non-syncable products in dashboard

Revision f7ed994a - 07/22/2014 08:44 AM - David Davis
Merge pull request #4458 from daviddavis/temp/20140718101857
Fixes #6691,BZ1021065 - Not showing non-syncable products in dashboard

Revision fc258c41 - 07/22/2014 12:35 PM - David Davis
Fixes #6691,BZ1021065 - Sync status only applies to repos with feeds

Revision e6a43c3c - 07/22/2014 01:23 PM - David Davis
Merge pull request #4470 from daviddavis/temp/20140722110039

Fixes #6691,BZ1021065 - Sync status only applies to repos with feeds
History

#1 - 07/18/2014 10:19 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Target version set to 49

- Pull request https://github.com/Katello/katello/pull/4458 added
- Pull request deleted ()

#2 - 07/22/2014 09:01 AM - David Davis
- Status changed from Ready For Testing to Closed
- % Done changed from 0 to 100

Applied in changeset katello|f1bfff08e97a4c3f6c682cf24a737a253f30b816.

#3 - 07/22/2014 02:02 PM - Eric Helms
- Difficulty set to trivial

- Triaged changed from No to Yes

#4 - 08/22/2014 09:23 AM - Eric Helms

- translation missing: en.field_release set to 13
